Package org.jfree.layouting.layouter.context

## Class ContextId

- java.lang.Object
- - org.jfree.layouting.layouter.context.ContextId

-     public class ContextId
      extends java.lang.Object

  Creation-Date: 05.12.2005, 18:04:27
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `SOURCE_DISPLAY_MODEL` |
    `static int` | `SOURCE_NORMALIZER` |
    `static int` | `SOURCE_RENDERER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextId​(int source, long parentId, long id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `long` | `getId​()` |
    `long` | `getParentId​()` |
    `int` | `getSource​()` |
    `int` | `hashCode​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SOURCE_NORMALIZER

          public static final int SOURCE_NORMALIZER

      See Also:
        Constant Field Values

    - #### SOURCE_DISPLAY_MODEL

          public static final int SOURCE_DISPLAY_MODEL

      See Also:
        Constant Field Values

    - #### SOURCE_RENDERER

          public static final int SOURCE_RENDERER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContextId

          public ContextId​(int source,
                           long parentId,
                           long id)

  - ### Method Detail

    - #### getId

          public long getId​()

    - #### getParentId

          public long getParentId​()

    - #### getSource

          public int getSource​()

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`